package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class DelegheSepastorico.
 * @see sicura.entities.DelegheSepastorico
 * @author Hibernate Tools
 */
@Stateless
public class DelegheSepastoricoHome {

	private static final Log log = LogFactory.getLog(DelegheSepastoricoHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(DelegheSepastorico transientInstance) {
		log.debug("persisting DelegheSepastorico instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(DelegheSepastorico persistentInstance) {
		log.debug("removing DelegheSepastorico instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public DelegheSepastorico merge(DelegheSepastorico detachedInstance) {
		log.debug("merging DelegheSepastorico instance");
		try {
			DelegheSepastorico result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public DelegheSepastorico findById(Integer id) {
		log.debug("getting DelegheSepastorico instance with id: " + id);
		try {
			DelegheSepastorico instance = entityManager.find(DelegheSepastorico.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
